Name:                apache-commons-pool2
Version:             2.4.2
Release:             2
Summary:             Apache Commons Object Pooling Library 2.x series
License:             ASL 2.0
URL:                 http://commons.apache.org/proper/commons-pool/
Source0:             https://archive.apache.org/dist/commons/pool/source/commons-pool2-%{version}-src.tar.gz
BuildRequires:       maven-local mvn(cglib:cglib) mvn(junit:junit)
BuildRequires:       mvn(org.apache.commons:commons-parent:pom:) mvn(org.ow2.asm:asm-util)
BuildArch:           noarch

%description
The Apache Commons Pool open source software library provides an
object pooling API and a number of object pool implementations.
Version 2 of Apache Commons Pool contains a completely re-written
pooling implementation compared to the 1.x series. In addition
to performance and scalability improvements, version 2 includes
robust instance tracking and pool monitoring.

%package help
Summary:             Javadoc for %{name}
Provides:            %{name}-javadoc = %{version}-%{release}
Obsoletes:           %{name}-javadoc < %{version}-%{release}

%description help
This package contains javadoc for %{name}.

%prep
%setup -q -n commons-pool2-%{version}-src
%pom_remove_plugin :maven-assembly-plugin
%pom_remove_plugin org.apache.maven.plugins:maven-scm-publish-plugin
%mvn_file : %{name} commons-pool2

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc README.txt RELEASE-NOTES.txt
%license LICENSE.txt NOTICE.txt

%files help -f .mfiles-javadoc
%license LICENSE.txt NOTICE.txt

%changelog
* Mon Oct 12 2020 chengzihan <chengzihan2@huawei.com> - 2.4.2-2
- Change url of Source0

* Tue Jul 28 2020 chengzihan <chengzihan2@huawei.com> - 2.4.2-1
- Package init
